Name: thcipv6
Version: 2.5
Release: 1%{?dist}
Summary: An toolkit for attacking the IPv6 protocol suite

License: AGPLv3 with exceptions
URL: https://www.thc.org/thc-ipv6/
Source0: http://www.thc.org/releases/thc-ipv6-%{version}.tar.gz

BuildRequires:  libpcap-devel openssl-devel

%description
A complete tool set to attack the inherent protocol weaknesses of IPV6
and ICMP6, and includes an easy to use packet factory library.

%prep
%setup -q -n thc-ipv6-%{version}


%build

sed -i "s|^PREFIX=/usr/local|PREFIX=/usr|" Makefile 
sed -i "/^CFLAGS=-O2/d" Makefile 
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot}


%files
%doc CHANGES LICENSE LICENSE.OPENSSL README HOWTO-INJECT
%{_bindir}/*
%{_mandir}/man8/thc-ipv6*

%changelog
* Wed Apr 16 2014 Athmane Madjoudj <athmane@fedoraproject.org> 2.5-1
- Initial specfile

